if which lsd > /dev/null 2>&1 ; then
  alias ls="lsd"
else
  alias ls="ls --color=auto"
fi
alias grep='grep --colour=auto'
alias egrep='egrep --colour=auto'
alias fgrep='fgrep --colour=auto'

shopt -s expand_aliases

# ex - archive extractor
# usage: ex <file>
ex ()
{
  if [ -f $1 ] ; then
    case $1 in
      *.tar.bz2)   tar xjf $1   ;;
      *.tar.gz)    tar xzf $1   ;;
      *.bz2)       bunzip2 $1   ;;
      *.rar)       unrar x $1     ;;
      *.gz)        gunzip $1    ;;
      *.tar)       tar xf $1    ;;
      *.tbz2)      tar xjf $1   ;;
      *.tgz)       tar xzf $1   ;;
      *.zip)       unzip $1     ;;
      *.Z)         uncompress $1;;
      *.7z)        7z x $1      ;;
      *)           echo "'$1' cannot be extracted via ex()" ;;
    esac
  else
    echo "'$1' is not a valid file"
  fi
}

# change the title of the current window or tab
title()
{
   echo -ne "\033]0;$*\007"
}

ssh()
{
  echo -ne '\e[22t'
  /usr/bin/ssh "$@"
  echo -ne '\e[23t'
}

su()
{
  echo -ne '\e[22t'
  /bin/su "$@"
  echo -ne '\e[23t'
}

alias m4b-tool='docker run -it --rm -u $(id -u):$(id -g) -v "$(pwd)":/mnt m4b-tool'
